const data = [
  {
    day: 'Mon',
    apricots: 120,
    blueberries: 180,
    cherries: 100,
  },
  {
    day: 'Tue',
    apricots: 60,
    blueberries: 185,
    cherries: 105,
  },
  {
    day: 'Wed',
    apricots: 100,
    blueberries: 215,
    cherries: 110,
  },
  {
    day: 'Thu',
    apricots: 80,
    blueberries: 230,
    cherries: 105,
  },
  {
    day: 'Fri',
    apricots: 120,
    blueberries: 240,
    cherries: 105,
  },
];

const yScale = d3
  .scaleLinear()
  .domain([0, 1])
  .range([150, 0]);

const areaGenerator = d3
  .area()
  .x((d, i) => i * 100)
  .y0((d) => yScale(d[0]))
  .y1((d) => yScale(d[1]));

const colors = ['#FBB65B', '#513551', '#de3163'];

const stack = d3
  .stack()
  .keys(['apricots', 'blueberries', 'cherries'])
  .offset(d3.stackOffsetExpand);

const stackedSeries = stack(data);

d3.select('g')
  .selectAll('path')
  .data(stackedSeries)
  .join('path')
  .style('fill', (d, i) => colors[i])
  .attr('d', areaGenerator);
